﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
namespace TreeGridMVC5
{
    public class TreeGridController : Controller
    {
        //
        // GET: /TreeGrid/
        public ActionResult TreegridFeatures()
        {
            var data = GanttDataSource.GetData();
            ViewBag.datasource = data;
            return View();
        }
        public class GanttDataSource
        {
            public static List<VirtualizationData> GetData()
            {
                List<VirtualizationData> list = new List<VirtualizationData>();
                var x = 0;
                for (var i = 0; i < 250; i++)
                {
                    list.Add(new VirtualizationData()
                    {
                        Id = ++x,
                        Name = "Task" + (i + 1),
                        PercentDone = 50,
                        StartDate = "01/17/2010",
                        Duration = 5,

                        Children = (new List<VirtualizationData>()
                        {
                            new VirtualizationData()
                            {
                                Id = ++x,
                                Name = "Child Task 1",
                                PercentDone = 50,
                                StartDate = "01/17/2010",
                                Duration = 5
                            },
                            new VirtualizationData()
                            {
                                Id = ++x,
                                Name = "Child Task 2",
                                PercentDone = 50,
                                StartDate = "01/17/2010",
                                Duration = 5,
                            },
                            new VirtualizationData()
                            {
                                Id = ++x,
                                Name = "Child Task 3",
                                PercentDone = 50,
                                StartDate = "01/17/2010",
                                Duration = 5,
                            }
                        })

                    });

                }


                return list;
            }
        }

        public class VirtualizationData
        {
            public string StartDate { get; set; }
            public int Id { get; set; }
            public string Name { get; set; }
            public int Duration { get; set; }
            public int PercentDone { get; set; }
            public List<VirtualizationData> Children { get; set; }
        }
    }
}
